#!/bin/bash
CONFIG=~/.bitvaluerc
+HOST=data.bitcoinity.org
TIMESPAN="24h"
source $CONFIG
-cat << EOF | gnuplot
+if ! ping -c 1 $HOST >/dev/null 2>&1; then
+ echo "Host $HOST is unreachable!"
+ exit 1
+fi
+
+cat << EOF | gnuplot 2>/dev/null
set terminal dumb
set datafile separator ","
set xdata time
set timefmt "%Y-%m-%d %H:%M:%S UTC"
set title "EXCHANGE: $EXCHANGE | TIMESPAN: $TIMESPAN\nZERO RATE: $ZERO_RATE $CURRENCY | ZERO VALUE: $ZERO_VALUE $CURRENCY"
-plot "< wget -q -O - \"https://data.bitcoinity.org/export_data.csv?currency=$CURRENCY&data_type=price&exchange=$EXCHANGE&t=l×pan=$TIMESPAN\"" \
+plot "< wget -q -O - \"https://$HOST/export_data.csv?currency=$CURRENCY&data_type=price&exchange=$EXCHANGE&t=l×pan=$TIMESPAN\"" \
using 1:(\$3/$ZERO_RATE*$ZERO_VALUE) with lines title ""
EOF
+
+if [ $? -ne 0 ]; then
+ echo "Error while preparing data!" >&2
+ exit 1
+fi
+
+exit 0